# TCLAP::Visitor Class Reference

A base class that defines the interface for visitors. More...

`#include <Visitor.h>`

Inheritance diagram for TCLAP::Visitor:

List of all members.

## Public Member Functions
| Visitor ()
| Constructor.
virtual | ~Visitor ()
| Destructor.
virtual void | visit ()
| Does nothing.

## Detailed Description

A base class that defines the interface for visitors.

Definition at line 31 of file Visitor.h.

## Constructor & Destructor Documentation

TCLAP::Visitor::Visitor | ( |  | ) | `[inline]`

Constructor.

Does nothing.

Definition at line 38 of file Visitor.h.

virtual TCLAP::Visitor::~Visitor | ( |  | ) | `[inline, virtual]`

Destructor.

Does nothing.

Definition at line 43 of file Visitor.h.

## Member Function Documentation

virtual void TCLAP::Visitor::visit | ( |  | ) | `[inline, virtual]`

Does nothing.

Should be overridden by child.

Reimplemented in TCLAP::HelpVisitor, TCLAP::IgnoreRestVisitor, and TCLAP::VersionVisitor.

Definition at line 48 of file Visitor.h.

Referenced by TCLAP::Arg::_checkWithVisitor().

The documentation for this class was generated from the following file:

- Visitor.h